## org.gnu.pango
Class Coverage

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Coverage

public class Coverage
extends Boxed

It is often necessary in Pango to determine if a particular font can represent a particular character, and also how well it can represent that character. The PangoCoverage is a data structure that is used to represent that information.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`` `Coverage()` Create a new Coverage
`` `Coverage(Coverage coverage)` Create a new Coverage that is a copy of the provided Coverage.
`protected` `Coverage(Handle handle)`

Method Summary
`CoverageLevel` `get(int index)` Determine whether a particular index is covered by coverage
`protected static Handle` `pango_coverage_copy(Handle coverage)`
`protected static Handle` `pango_coverage_from_bytes(byte[] bytes, int numBytes)`
`protected static int` `pango_coverage_get(Handle coverage, int index)`
`protected static void` `pango_coverage_max(Handle coverage, Handle other)`
`protected static Handle` `pango_coverage_new()`
`protected static Handle` `pango_coverage_ref(Handle coverage)`
`protected static void` `pango_coverage_set(Handle coverage, int index, int level)`
`protected static void` `pango_coverage_to_bytes(Handle coverage, byte[] bytes, int[] numBytes)`
`protected static void` `pango_coverage_unref(Handle coverage)`
`void` `set(int index, CoverageLevel level)` Modify a particular index within coverage
`void` `setMax(Coverage other)` Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Coverage

    protected Coverage(Handle handle)

### Coverage

    public Coverage()

  Create a new Coverage

### Coverage

    public Coverage(Coverage coverage)

  Create a new Coverage that is a copy of the provided Coverage.

Parameters:
  `coverage` -

Method Detail

### get

    public CoverageLevel get(int index)

  Determine whether a particular index is covered by coverage

### setMax

    public void setMax(Coverage other)

  Set the coverage for each index in coverage to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in other.

### set

    public void set(int index,
                    CoverageLevel level)

  Modify a particular index within coverage

### pango_coverage_new

    protected static final Handle pango_coverage_new()

### pango_coverage_ref

    protected static final Handle pango_coverage_ref(Handle coverage)

### pango_coverage_unref

    protected static final void pango_coverage_unref(Handle coverage)

### pango_coverage_copy

    protected static final Handle pango_coverage_copy(Handle coverage)

### pango_coverage_get

    protected static final int pango_coverage_get(Handle coverage,
                                                  int index)

### pango_coverage_set

    protected static final void pango_coverage_set(Handle coverage,
                                                   int index,
                                                   int level)

### pango_coverage_max

    protected static final void pango_coverage_max(Handle coverage,
                                                   Handle other)

### pango_coverage_to_bytes

    protected static final void pango_coverage_to_bytes(Handle coverage,
                                                        byte[] bytes,
                                                        int[] numBytes)

### pango_coverage_from_bytes

    protected static final Handle pango_coverage_from_bytes(byte[] bytes,
                                                            int numBytes)